> For the complete documentation index, see [llms.txt](https://docs.robbie.run/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.robbie.run/robbie-command-line-reference/robbie-run.md).

# robbie run

`robbie run`

**Description**

Launches a robbie “run” from the command line.

**Synopsis**

Robbie run \[OPTIONS] \[COMMANDS]

**Commands**

Commands can include any Linux command(s), for example:

* `“pwd”`
* `“nvidia-smi”`
* `“python file.py”`
* `“pip install -r requirements && python main.py”`
* `“python -c ‘import os; os.getcwd()’”`

Even more sophisticated commands:

* `“tune run lora_finetune_single_device --config llama3/8B_lora_single_device”`
* `“wandb agent sweep_id”`

If you do not specify Commands, Robbie will look at the \`*job\_config.yaml*\` file in the local directory for commands and execute those.

**Options**

**`--name`**` ``(string)`

String that contains the user-defined name of the run. If you omit this option, Robbie will choose a unique name for your run.

**`--f`**` ``(string)`

String that contains the job configuration file in the local directory to use when running the job.

**`--conda`**` ``(boolean)`

Run the remote job in a conda environment. If --deps is set to auto-capture then the current active conda environment will be used. If --deps points to an existing environment.yml file that file will be used to recreate the environment on the remote machine.

**`--python`**` ``(boolean)`

Run the remote job in a Python environment. The --version and --deps are used to create a Python environment on the remote machine.

**`--funding_group`**` ``(string)`

String that contains the UUID of the funding group that the job will be billed against.

For example, `“cecfc347-5680-4fb0-ae99-b000941b08dd”`

**`--environment_id`**` ``(string)`

String that contains the UUID of the environment that the job will use.

For example, `“d26d6431-f1a5-4cea-b929-a4ed1f70eaaa”`

**`--image`**` ``(string)`

String that contains the image name or “auto-select”. By specifying “auto-select” Robbie will choose the correct image for you.

For example, `“robbie:1.0.0-gpu-py3.10-torch2.2-ubuntu22.04-dev”`

**`--deps`**` ``(string)`

Name of the dependency file to use for the job. If the job is conda-based, this points to an environment .yml file, if this a python job, this points to the requirements.txt file. If you specify `auto-capture` Robbie will attempt to capture the local dependencies.

**`--include-local-dir`**` ``(boolean)`&#x20;

Copies the contents of the local directory to the remote machine.

**`--tail` -**&#x53;treams the standard out of the remote host to the local host.

**`--v`** -Verbose logging

**`--y`** -Automatically run the job without asking the user permission.

**`--i`** -Build the job configuration interactively before you run it.

**`--download <file_name>`**

Download the file\_name from the remote machine /results directory to the local directory. If \<file\_name> is “all”, then all files in the remote /results directory are zipped and downloaded as **result.zip**.

**`--path <dir>`**

Download the file\_name from the remote machine to the specified directory.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.robbie.run/robbie-command-line-reference/robbie-run.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
